List files
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"title": "<string>",
"tags": [
"<string>"
],
"status": "processing",
"media_type": "<string>",
"size_bytes": 0,
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"synopsis": {
"status": "not_requested",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"detail_url": "<string>",
"moments_url": "<string>",
"operation_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"current_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 0,
"media_type": "<string>",
"size_bytes": 0,
"sha256": "<string>",
"input_kind": "upload",
"source_url": "<string>",
"lexical_status": "pending",
"semantic_status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"ready_at": "2023-11-07T05:31:56Z"
},
"collection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"next_cursor": "<string>",
"has_more": true,
"snapshot_at": "2023-11-07T05:31:56Z"
}Files
List files
List the project’s Files, or read the library view.
List files
curl --request GET \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"title": "<string>",
"tags": [
"<string>"
],
"status": "processing",
"media_type": "<string>",
"size_bytes": 0,
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"synopsis": {
"status": "not_requested",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"detail_url": "<string>",
"moments_url": "<string>",
"operation_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"current_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 0,
"media_type": "<string>",
"size_bytes": 0,
"sha256": "<string>",
"input_kind": "upload",
"source_url": "<string>",
"lexical_status": "pending",
"semantic_status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"ready_at": "2023-11-07T05:31:56Z"
},
"collection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"next_cursor": "<string>",
"has_more": true,
"snapshot_at": "2023-11-07T05:31:56Z"
}Operation ID:
http.files.list
GET /v1/orgs/{org}/projects/{project}/files
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only Files with this status.
Only Files with every tag given. Repeatable.
Only Files with one of these media types. Repeatable.
Only Files in this collection.
Only Files whose name starts with this.
Only the File with this external key.
Only Files created after this RFC 3339 timestamp.
Only Files created before this RFC 3339 timestamp.
true to include deleted Files. Defaults to false.
Available options:
true, false What to include with each File: current_version, collections. Repeatable, or a comma list.
Page size, 1 to 100. Defaults to 50.
Pattern:
^\d+$The cursor the previous page returned.
Response
2XX - application/json
Success.
Maximum array length:
100Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$